#   File:       spwave-ppc.make
#   Target:     spwave-ppc
#   Created:    Monday, August 7, 2000 01:35:33 AM


MAKEFILE        = spwave-ppc.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir  	= ::spBase:
SpComponentDir  = ::spComponent:
SpAudioDir      = ::spAudio:
SpTopDir        = ::
SpLibDir  	= ::lib:

# ResFile         = ::lib:spComponent.rsrc
ResFile         = :spwave.rsrc

ObjDir          = :
Includes        =  
				  -i {SpComponentDir} 
				  -i {SpAudioDir} 
				  -i {SpTopDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC} -includes unix -enum int -j0 -w 35


### Source Files ###

SrcFiles        =  
				  main.c 
				  swAnalysis.c 
				  swAnalysisDialog.c 
				  swCursor.c 
				  swDialog.c 
				  swInfoDialog.c 
				  swDraw.c 
				  swEdit.c 
				  swLabel.c 
				  swLabelDialog.c 
				  swLabelList.c 
				  swWave.c 
				  swWaveAudio.c 
				  swWindow.c



### Object Files ###

ObjFiles-PPC    =  
				  "{ObjDir}main.c.x" 
				  "{ObjDir}swAnalysis.c.x" 
				  "{ObjDir}swAnalysisDialog.c.x" 
				  "{ObjDir}swCursor.c.x" 
				  "{ObjDir}swDialog.c.x" 
				  "{ObjDir}swInfoDialog.c.x" 
				  "{ObjDir}swDraw.c.x" 
				  "{ObjDir}swEdit.c.x" 
				  "{ObjDir}swLabel.c.x" 
				  "{ObjDir}swLabelDialog.c.x" 
				  "{ObjDir}swLabelList.c.x" 
				  "{ObjDir}swWave.c.x" 
				  "{ObjDir}swWaveAudio.c.x" 
				  "{ObjDir}swWindow.c.x"


### Libraries ###

LibFiles-PPC    =  
				  "{SpLibDir}spComponent-ppc.o" 
				  "{SpLibDir}spAudio-ppc.o" 
				  "{SpLibDir}sp-ppc.o" 
				  "{SpLibDir}spBase-ppc.o" 
				  "{SharedLibraries}ThreadsLib" 
				  "{SharedLibraries}NavigationLib" 
				  "{SharedLibraries}FontManager" 
				  "{SharedLibraries}InternetConfigLib" 
				  "{SharedLibraries}ControlsLib" 
				  "{SharedLibraries}WindowsLib" 
				  "{SharedLibraries}MenusLib" 
				  "{SharedLibraries}AppearanceLib" 
				  "{SharedLibraries}InterfaceLib" 
				  "{SharedLibraries}QuickTimeLib" 
				  "{SharedLibraries}TextEncodingConverter" 
				  "{SharedLibraries}SoundLib" 
				  "{SharedLibraries}StdCLib" 
				  "{SharedLibraries}MathLib" 
				  "{PPCLibraries}StdCRuntime.o" 
				  "{PPCLibraries}PPCCRuntime.o" 
				  "{PPCLibraries}PPCToolLibs.o"


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spwave-ppc    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} -weaklib NavigationLib,ControlsLib,WindowsLib,MenusLib,AppearanceLib,QuickTimeLib,TextEncodingConverter 
		-mf -d 
		-t 'APPL' 
		-c 'SPWV'

{ResFile}   {MondoBuild}
	Rez -o {Targ} < spwave.r

spwave-ppc    {ResFile} {MondoBuild}
	Echo "Include "{ResFile}";" | Rez -o {Targ} -a


### Required Dependencies ###

"{ObjDir}main.c.x"    main.c
"{ObjDir}swAnalysis.c.x"    swAnalysis.c
"{ObjDir}swAnalysisDialog.c.x"    swAnalysisDialog.c
"{ObjDir}swCursor.c.x"    swCursor.c
"{ObjDir}swDialog.c.x"    swDialog.c
"{ObjDir}swInfoDialog.c.x"    swInfoDialog.c
"{ObjDir}swDraw.c.x"    swDraw.c
"{ObjDir}swEdit.c.x"    swEdit.c
"{ObjDir}swLabel.c.x"    swLabel.c
"{ObjDir}swLabelDialog.c.x"    swLabelDialog.c
"{ObjDir}swLabelList.c.x"    swLabelList.c
"{ObjDir}swWave.c.x"    swWave.c
"{ObjDir}swWaveAudio.c.x"    swWaveAudio.c
"{ObjDir}swWindow.c.x"    swWindow.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


